From: Timon Engelke <timon.engelke@online.de>
Date: Sat, 12 Mar 2022 23:31:11 +0100
Subject: Suppress deprecation warnings in other packages

Applied-Upstream: commit:eaa2a3a403c4a5370729c1032abb66744bd1b779
---
 setup.cfg | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/setup.cfg b/setup.cfg
index af13df8..e166344 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -48,6 +48,10 @@ zip_safe = true
 [tool:pytest]
 filterwarnings =
     error
+    # Suppress deprecation warnings in other packages
+    ignore:lib2to3 package is deprecated::scspell
+    ignore:SelectableGroups dict interface is deprecated::flake8
+    ignore:Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated::pyreadline
 junit_suite_name = colcon-parallel-executor
 
 [options.entry_points]
